%define oname usbmuxd

Name:		usbmuxd-dlx
Version:	1.1.1
Release:	%mkrel 1
Summary:	Daemon for communicating with Apple's iPod Touch and iPhone
Group:		System/Kernel and hardware
License:	GPLv3+ or GPLv2+
URL:		http://www.libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{oname}-%{version}.tar.xz

BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libplist-2.0) >= 2.2.0
BuildRequires:	pkgconfig(libusb-1.0)
Obsoletes:      usbmuxd

Requires(pre):		rpm-helper
Requires(postun):	rpm-helper

%description
usbmuxd is a daemon used for communicating with Apple's iPod Touch and iPhone
devices. It allows multiple services on the device to be accessed
simultaneously.

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
%configure2_5x --with-udevrulesdir=/lib/udev/rules.d --without-systemd
%make_build

%install
rm -rf %buildroot
%make_install

%pre
%_pre_useradd usbmux /proc /sbin/nologin

%postun
%_postun_userdel usbmux

%files
/lib/udev/rules.d/39-%{oname}.rules
%{_sbindir}/%{oname}
%{_mandir}/man8/%{oname}.8.*


%changelog
* Tue May 04 2021 tex - 1.1.1-1pclos2021
- new version
